//BePexesoGame

#ifndef BE_PEXESO_GAME_H
#define BE_PEXESO_GAME_H

#include <OS.h>
#include <Messenger.h>
#include "common.h"
#include "data.h"

#define STATE_OFF           0
#define STATE_CLOSED        1
#define STATE_OPEN          2
#define STATE_TRANS_OPEN    3
#define STATE_TRANS_CLOSE   4
#define STATE_TRANS_POP     5
#define STATE_TRANS_OFF     6

#define TRANS_OPEN_S  8
#define TRANS_CLOSE_S 6
#define TRANS_POP_S 3
#define TRANS_OFF_S 8

class BePexesoGame
{
	public:
		BePexesoGame();
		void Run();
		void InitGame();
		void Clicked( int x, int y);
		void CheckMatch();
		void UpdateState(float time);
		void Perturb(int x, int y, float fAmp);
		bool bQuit;

};

#endif //BE_PEXESO_GAME_H
