//BePexesoWin.h
#ifndef BE_PEXESO_WIN_H
#define BE_PEXESO_WIN_H

#include <Window.h>
#include <MenuItem.h>
#include <MenuBar.h>
#include <Menu.h>
#include <Alert.h>
#include "BePexesoView.h"
#include "common.h"

class BePexesoWin : public BDirectWindow
{
 public:
 	BePexesoWin();
 	~BePexesoWin();
 	BMenuBar* BuildMenu();
 	bool QuitRequested();
 	void WindowActivated(bool active);
 	void FrameResized(float width, float height);
 	void MessageReceived(BMessage *message);
	virtual void DirectConnected(direct_buffer_info *info); 
	BePexesoView *mv;
 private:
 	BMenuBar *mb;
 	BMenu *tilesetMenu;
};

#endif //BE_PEXESO_WIN_H
